Package com.sas.metadata.remote

# Class FastMetadata

java.lang.Object
java.util.AbstractMap<String,Object>
java.util.HashMap<String,Object>
com.sas.metadata.remote.FastMetadata

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Map<String,Object>`

public class FastMetadata extends HashMap<String,Object>
FastMetadata is a lightweight wrapper for the attribute and association maps returned by the getMetadataNoCache and getMetadataObjectsNoCache methods of `MdOMIUtil`. This object allows attributes and associations to be fetched from the map without run-time casts in the calling code.

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.util.AbstractMap

  `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

  ## Nested classes/interfaces inherited from interface java.util.Map

  `Map.Entry<K,V>`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FastMetadata()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<FastMetadata>`
  `getAssociation(String key)`
  Returns a list of associated objects for a specified object association
  `String`
  `getAttribute(String key)`
  Returns a specified object attribute.

  ### Methods inherited from class java.util.HashMap

  `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, newHashMap, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

  ### Methods inherited from class java.util.AbstractMap

  `equals, hashCode, toString`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.util.Map

  `equals, hashCode`

- ## Constructor Details

  - ### FastMetadata

    public FastMetadata()

- ## Method Details

  - ### getAttribute

    public String getAttribute(String key)
    Returns a specified object attribute.
    Parameters:
      `key` - attribute name
    Returns:
      the attribute value

  - ### getAssociation

    public List<FastMetadata> getAssociation(String key)
    Returns a list of associated objects for a specified object association
    Parameters:
      `key` - association name
    Returns:
      the associated objects